javax.persistence

## Annotation Type AttributeOverrides

    @Target(value={TYPE,METHOD,FIELD})
     @Retention(value=RUNTIME)
    public @interface AttributeOverrides

Used to override mappings of multiple properties or fields.

        Example:

        @Embedded
        @AttributeOverrides({
                @AttributeOverride(name="startDate",
                                   column=@Column("EMP_START")),
                @AttributeOverride(name="endDate",
                                   column=@Column("EMP_END"))
        })
        public EmploymentPeriod getEmploymentPeriod() { ... }

Since:
  Java Persistence 1.0
See Also:
  `AttributeOverride`

### Required Element Summary

Required Elements
`AttributeOverride[]` `value` (Required) One or more field or property mapping overrides.

### Element Detail

#### value

    public abstract AttributeOverride[] value

(Required) One or more field or property mapping overrides.